Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.el
Class ELContext

    java.lang.Object
      javax.el.ELContext

    public abstract class ELContext

extends java.lang.Object

Constructor Summary
`ELContext()`

Method Summary
`java.lang.Object` | `getContext(java.lang.Class key)`
`abstract ELResolver` | `getELResolver()`
`abstract FunctionMapper` | `getFunctionMapper()`
`java.util.Locale` | `getLocale()`
`abstract VariableMapper` | `getVariableMapper()`
`boolean` | `isPropertyResolved()`
`void` | `putContext(java.lang.Class key, java.lang.Object contextObject)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setPropertyResolved(boolean resolved)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELContext

    public ELContext()

Method Detail

### getContext

    public java.lang.Object getContext(java.lang.Class key)

### putContext

    public void putContext(java.lang.Class key,
                           java.lang.Object contextObject)
                    throws java.lang.NullPointerException

  Throws:
    `java.lang.NullPointerException`

### setPropertyResolved

    public void setPropertyResolved(boolean resolved)

### isPropertyResolved

    public boolean isPropertyResolved()

### getELResolver

    public abstract ELResolver getELResolver()

### getFunctionMapper

    public abstract FunctionMapper getFunctionMapper()

### getVariableMapper

    public abstract VariableMapper getVariableMapper()

### getLocale

    public java.util.Locale getLocale()

### setLocale

    public void setLocale(java.util.Locale locale)

Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.